ambari-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Andrew Onischuk (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (AMBARI-17163) Wildcards shouldn't be used for package installation
Date Fri, 10 Jun 2016 12:14:20 GMT

     [ https://issues.apache.org/jira/browse/AMBARI-17163?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Andrew Onischuk updated AMBARI-17163:
-------------------------------------
    Summary: Wildcards shouldn't be used for package installation  (was: Xml manifests should
not include wildcards but full versions for package-version)

> Wildcards shouldn't be used for package installation
> ----------------------------------------------------
>
>                 Key: AMBARI-17163
>                 URL: https://issues.apache.org/jira/browse/AMBARI-17163
>             Project: Ambari
>          Issue Type: Bug
>            Reporter: Andrew Onischuk
>            Assignee: Andrew Onischuk
>             Fix For: 2.4.0
>
>         Attachments: AMBARI-17163.patch
>
>
>     Traceback (most recent call last):
>       File "/var/lib/ambari-agent/cache/common-services/STORM/0.9.1/package/scripts/supervisor.py",
line 112, in <module>
>         Supervisor().execute()
>       File "/usr/lib/python2.6/site-packages/resource_management/libraries/script/script.py",
line 257, in execute
>         method(env)
>       File "/var/lib/ambari-agent/cache/common-services/STORM/0.9.1/package/scripts/supervisor.py",
line 43, in install
>         self.configure(env)
>       File "/var/lib/ambari-agent/cache/common-services/STORM/0.9.1/package/scripts/supervisor.py",
line 48, in configure
>         storm("supervisor")
>       File "/usr/lib/python2.6/site-packages/ambari_commons/os_family_impl.py", line
89, in thunk
>         return fn(*args, **kwargs)
>       File "/var/lib/ambari-agent/cache/common-services/STORM/0.9.1/package/scripts/storm.py",
line 76, in storm
>         cd_access="a",
>       File "/usr/lib/python2.6/site-packages/resource_management/core/base.py", line
155, in __init__
>         self.env.run()
>       File "/usr/lib/python2.6/site-packages/resource_management/core/environment.py",
line 160, in run
>         self.run_action(resource, action)
>       File "/usr/lib/python2.6/site-packages/resource_management/core/environment.py",
line 124, in run_action
>         provider_action()
>       File "/usr/lib/python2.6/site-packages/resource_management/core/providers/system.py",
line 185, in action_create
>         sudo.makedirs(path, self.resource.mode or 0755)
>       File "/usr/lib/python2.6/site-packages/resource_management/core/sudo.py", line
174, in makedirs
>         shell.checked_call(["mkdir", "-p", path], sudo=True)
>       File "/usr/lib/python2.6/site-packages/resource_management/core/shell.py", line
70, in inner
>         result = function(command, **kwargs)
>       File "/usr/lib/python2.6/site-packages/resource_management/core/shell.py", line
92, in checked_call
>         tries=tries, try_sleep=try_sleep)
>       File "/usr/lib/python2.6/site-packages/resource_management/core/shell.py", line
140, in _call_wrapper
>         result = _call(command, **kwargs_copy)
>       File "/usr/lib/python2.6/site-packages/resource_management/core/shell.py", line
293, in _call
>         raise Fail(err_msg)
>     resource_management.core.exceptions.Fail: Execution of 'mkdir -p /usr/hdp/current/storm-supervisor/conf'
returned 1. mkdir: cannot create directory `/usr/hdp/current/storm-supervisor': File exists
>     
> **Reason:**  
> The problem happens because we install packages with *  
> Which causes a skip for storm-* because storm-*-slider is installed
>     
>     
>     2016-06-09 10:10:43,490 - Package['storm_2_5_0_0_*'] {'retry_on_repo_unavailability':
False, 'retry_count': 5}
>     2016-06-09 10:10:43,864 - Skipping installation of existing package storm_2_5_0_0_*
>     
>     
>     
>     # rpm -qa | grep storm
>     storm_2_5_0_0_688-slider-client-1.0.1.2.5.0.0-688.el6.x86_6
>     
> **Solution**:  
> RE should do the change in manifests. To not propagate wildcards in package-
> version.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message